Bug 1296313 - Rebase elfutils to 0.166
Summary: Rebase elfutils to 0.166
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: elfutils
Version: 7.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Mark Wielaard
QA Contact: Martin Cermak
Tomas Capek
URL:
Whiteboard:
Depends On:
Blocks: 1297579 1313485
TreeView+ depends on / blocked
 
Reported: 2016-01-06 21:23 UTC by mbenitez
Modified: 2016-11-04 02:49 UTC (History)
3 users (show)

Fixed In Version: elfutils-0.166-2.el7
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
_elfutils_ rebased to version 0.166 The _elfutils_ packages contain a number of utilities and libraries related to the creation and maintenance of executable code. The package has been upgraded to version 0.166. Highlighted improvements include: * *strip*, *unstrip* - These utilities can now handle ELF files with merged strtab/shstrtab tables. * *elfcompress* - A new utility to compress or decompress ELF sections. * *readelf* - A new *-z,--decompress* option. * New functions have been added to *libelf* and *libdw* to handle compressed ELF sections: *elf_compress*, *elf_compress_gnu*, *elf32_getchdr*, *elf64_getchdr*, and *gelf_getchdr*. * *libdwelf* - a new *dwelf_scn_gnu_compressed_size()* function. * New *libelf* and *libdw* pkgconfig (package configuration) files.
Clone Of:
Environment:
Last Closed: 2016-11-04 02:49:19 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:2292 normal SHIPPED_LIVE elfutils bug fix update 2016-11-03 13:37:52 UTC

Description mbenitez 2016-01-06 21:23:00 UTC

Comment 1 Mark Wielaard 2016-03-30 13:12:54 UTC
Update to elfutils-0.166 which is about to be released upstream and which contains all bugfixes that we might otherwise need to backport (no new features compared to 0.165, just bug fixes).

Comment 3 Robert Krátký 2016-08-19 15:45:35 UTC
Hi Mark,

Could you please check the Release Notes text?

Thank you.

Comment 4 Mark Wielaard 2016-08-23 11:40:37 UTC
Release Notes look good. Tomas and I already discussed them in email.

Comment 6 errata-xmlrpc 2016-11-04 02:49:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-2292.html


Note You need to log in before you can comment on or make changes to this bug.